Package com.orchestranetworks.ui

# Interface UITableFilterRequestContext

All Superinterfaces:
  `UITableFilterContext`

public interface UITableFilterRequestContext extends UITableFilterContext
Encapsulates an HTTP request in order to set up a filter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMessage(UserMessage aMessage)`
  Adds a message, which will be displayed in the standard message box of the user interface.
  `HttpServletRequest`
  `getHttpRequest()`
  Returns the underlying request.
  `String`
  `getParameter(String name)`
  Shortcut for `ServletRequest.getParameter(java.lang.String)`.
  `Map<String,String[]>`
  `getParameterMap()`
  Shortcut for `ServletRequest.getParameterMap()`.
  `String[]`
  `getParameterValues(String name)`
  Shortcut for `ServletRequest.getParameterValues(java.lang.String)`.
  `AdaptationFilter`
  `getTableFilter()`
  Returns the filter that has been set.
  `void`
  `setTableFilter(AdaptationFilter aFilter)`
  Specifies the filter to be applied on the current table by the EBX® session.

  ### Methods inherited from interface com.orchestranetworks.ui.UITableFilterContext

  `getCustomViewContext, getNode, getSession`

- ## Method Details

  - ### getParameter

    String getParameter(String name)
    Shortcut for `ServletRequest.getParameter(java.lang.String)`.

  - ### getParameterValues

    String[] getParameterValues(String name)
    Shortcut for `ServletRequest.getParameterValues(java.lang.String)`.

  - ### getParameterMap

    Map<String,String[]> getParameterMap()
    Shortcut for `ServletRequest.getParameterMap()`.

  - ### getHttpRequest

    HttpServletRequest getHttpRequest()
    Returns the underlying request.

  - ### addMessage

    void addMessage(UserMessage aMessage)
    Adds a message, which will be displayed in the standard message box of the user interface.

  - ### getTableFilter

    AdaptationFilter getTableFilter()
    Returns the filter that has been set.

  - ### setTableFilter

    void setTableFilter(AdaptationFilter aFilter)
    Specifies the filter to be applied on the current table by the EBX® session.